com.amazonaws.services.lambda.model

## Class CreateAliasRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.lambda.model.CreateAliasRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreateAliasRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreateAliasRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateAliasRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getDescription()` Description of the alias.
`String` `getFunctionName()` Name of the Lambda function for which you want to create an alias.
`String` `getFunctionVersion()` Lambda function version for which you are creating the alias.
`String` `getName()` Name for the alias you are creating.
`int` `hashCode()`
`void` `setDescription(String description)` Description of the alias.
`void` `setFunctionName(String functionName)` Name of the Lambda function for which you want to create an alias.
`void` `setFunctionVersion(String functionVersion)` Lambda function version for which you are creating the alias.
`void` `setName(String name)` Name for the alias you are creating.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateAliasRequest` `withDescription(String description)` Description of the alias.
`CreateAliasRequest` `withFunctionName(String functionName)` Name of the Lambda function for which you want to create an alias.
`CreateAliasRequest` `withFunctionVersion(String functionVersion)` Lambda function version for which you are creating the alias.
`CreateAliasRequest` `withName(String name)` Name for the alias you are creating.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateAliasRequest

    public CreateAliasRequest()

### Method Detail

#### setFunctionName

    public void setFunctionName(String functionName)

Name of the Lambda function for which you want to create an alias.

Parameters:
  `functionName` - Name of the Lambda function for which you want to create an alias.

#### getFunctionName

    public String getFunctionName()

Name of the Lambda function for which you want to create an alias.

Returns:
  Name of the Lambda function for which you want to create an alias.

#### withFunctionName

    public CreateAliasRequest withFunctionName(String functionName)

Name of the Lambda function for which you want to create an alias.

Parameters:
  `functionName` - Name of the Lambda function for which you want to create an alias.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setName

    public void setName(String name)

Name for the alias you are creating.

Parameters:
  `name` - Name for the alias you are creating.

#### getName

    public String getName()

Name for the alias you are creating.

Returns:
  Name for the alias you are creating.

#### withName

    public CreateAliasRequest withName(String name)

Name for the alias you are creating.

Parameters:
  `name` - Name for the alias you are creating.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFunctionVersion

    public void setFunctionVersion(String functionVersion)

Lambda function version for which you are creating the alias.

Parameters:
  `functionVersion` - Lambda function version for which you are creating the alias.

#### getFunctionVersion

    public String getFunctionVersion()

Lambda function version for which you are creating the alias.

Returns:
  Lambda function version for which you are creating the alias.

#### withFunctionVersion

    public CreateAliasRequest withFunctionVersion(String functionVersion)

Lambda function version for which you are creating the alias.

Parameters:
  `functionVersion` - Lambda function version for which you are creating the alias.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

Description of the alias.

Parameters:
  `description` - Description of the alias.

#### getDescription

    public String getDescription()

Description of the alias.

Returns:
  Description of the alias.

#### withDescription

    public CreateAliasRequest withDescription(String description)

Description of the alias.

Parameters:
  `description` - Description of the alias.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateAliasRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`